using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TimeScaleMod : MonoBehaviour
{
    public KeyCode timeSpeedUpKey = KeyCode.Space;
    public int speedUpTimeScale = 5;

    void Update()
    {
        //if (Input.GetKey(timeSpeedUpKey) && Time.timeScale != 0 /*&& si está jugando*/) Time.timeScale = speedUpTimeScale;
        //else if (Time.timeScale > 1) Time.timeScale = 1;
    }

    public void SpeedUpTime()
    {
        Time.timeScale = speedUpTimeScale;
    }

    public void ResetTimeScale()
    {
        Time.timeScale = 1;
    }
}
